Skip to main content
POST
/
integrations
/
{id}
/
surveys
/
{surveyId}
/
sources
Create survey source
curl --request POST \
  --url https://api.questra.ai/integrations/{id}/surveys/{surveyId}/sources \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Org-Id: <x-org-id>' \
  --data '
{
  "name": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "url": "<string>",
  "type": "<string>",
  "capabilities": {
    "canCreate": true,
    "canSelect": true,
    "canDelete": true,
    "canUpdatePassword": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.questra.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

id
string
required

Unique ID of the integration

surveyId
string
required

Unique ID of the survey on the integrated platform

Body

application/json
name
string
required

Response

201 - application/json

Participant source created.

id
string
required

Unique ID of the participant source

name
string
required

Human-readable source name

url
string<uri>

Distribution URL for the source

type
string

Platform-specific source type

capabilities
object